
data {
    int N;		//	The number of trials
    int Res[N];		//	Responses:  
                        //           1 denotes -, 2 denotes ?, 3 denotes +
    real X[N];		//	Stimuli
    real mu_min;        //      Lower boundary of mu
    real mu_max;        //      Upper boundary of mu
}

parameters {
    real<lower = 0.0> sgm;
    real mu;
    real<lower = 0.0> C;
}

transformed parameters {
    vector[3] p[N];		//	Probabilities for X[N]
    for (i in 1:N){
        p[i][1] = 1 - Phi((X[i] - mu + C) / sgm);
        p[i][2] = Phi((X[i] - mu + C) / sgm) - Phi((X[i] - mu - C) / sgm);
        p[i][3] = Phi((X[i] - mu - C) / sgm);
    }
}

model {
    sgm ~ uniform(0, mu_max - mu_min);  
    mu ~ uniform(mu_min, mu_max);
    C ~ uniform(0, mu_max - mu_min);
    for (i in 1:N)
        Res[i] ~ categorical(p[i]);
}
